commit:     7072f48a33b441309d66ee2c0c39cb81ac87b01e
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 25 13:59:34 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Jun 25 14:34:45 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7072f48a

dev-libs/intel-compute-runtime: add 22.24.23453

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-libs/intel-compute-runtime/Manifest            |  1 +
 .../intel-compute-runtime-22.24.23453.ebuild       | 79 ++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-libs/intel-compute-runtime/Manifest 
b/dev-libs/intel-compute-runtime/Manifest
index fa033f0f1828..b112ac8b0feb 100644
--- a/dev-libs/intel-compute-runtime/Manifest
+++ b/dev-libs/intel-compute-runtime/Manifest
@@ -2,3 +2,4 @@ DIST intel-compute-runtime-22.20.23198.tar.gz 5453705 BLAKE2B 
85e3ed926522db44c3
 DIST intel-compute-runtime-22.21.23269.tar.gz 5475347 BLAKE2B 
dbac36c1720ee2a2475b64c3b61d144501fa4031ceb0eb69a3313cb78b5588926d029ad1916e2229fb8dea8d3450936da5b4e25b47814c854b05ec0bdb940943
 SHA512 
9ae38956dbff9764d85b5447cc03f7616319de463ddbf0dc5d4c8e8f8869f197b6045e446c81a902d8a5e7681e05cb5ac63e345b6bdcb74366b83619c52eb012
 DIST intel-compute-runtime-22.22.23355.tar.gz 5498680 BLAKE2B 
81368ca9a5151305a5eb656ecca6a8d51129df2f567631d72fc5965c66b367e843bcf7b89a201702aa78e430d60e706079eba48a11cfd2b6a82e7a34d7ac5789
 SHA512 
72813ebd5de38d31f9ceb8087c38337d1bd0bb35256b86f3f3d7f3adc5ebe73b3cdc04bf653a522e25098b38c3b867f62fc3590eedf17e11d2fc03c2aa2b22e2
 DIST intel-compute-runtime-22.23.23405.tar.gz 5515173 BLAKE2B 
eafb5a4ed8a221bc5290576a137f371f2f9d3cebbe1e689f3d1ce41f9430a5242d82ae78799f523f29685c3a731570e4a6766f804faa0f6bb7bae365cb5d6573
 SHA512 
38ffadd9130717acb0e8d6492b2bb4d8d5c962b151784a92c85d6249cbab1014dcd418bf5110eccc1640334c1ab0d171b7028d2f0d95d606733b42a319bf2f0b
+DIST intel-compute-runtime-22.24.23453.tar.gz 5521386 BLAKE2B 
c025539c0d2a0ac492ddc5893c0d077523bbc0c0e1dcdb3d086ff381b36f26d0a7b24aecb0ba04e915e443eafecbaf171ef54fc0c455e57b0ae622ef164f4056
 SHA512 
fb57348ef4cad48b7d09bf8db64a874a63bdbbd586323c25b7c9cf7461bfd62c1cd061c4b989c52466e5d364fde9dec2335bf7e244baadd573888ba904ba867c

diff --git 
a/dev-libs/intel-compute-runtime/intel-compute-runtime-22.24.23453.ebuild 
b/dev-libs/intel-compute-runtime/intel-compute-runtime-22.24.23453.ebuild
new file mode 100644
index 000000000000..bdc8a84baf08
--- /dev/null
+++ b/dev-libs/intel-compute-runtime/intel-compute-runtime-22.24.23453.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CMAKE_BUILD_TYPE="Release"
+MY_PN="${PN/intel-/}"
+MY_P="${MY_PN}-${PV}"
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="Intel Graphics Compute Runtime for oneAPI Level Zero and OpenCL 
Driver"
+HOMEPAGE="https://github.com/intel/compute-runtime";
+SRC_URI="https://github.com/intel/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+l0 +vaapi"
+
+RDEPEND=">=media-libs/gmmlib-22.0.2:="
+
+DEPEND="
+       ${DEPEND}
+       dev-libs/intel-metrics-library:=
+       dev-libs/libnl:3
+       dev-libs/libxml2:2
+       >=dev-util/intel-graphics-compiler-1.0.11061-r1
+       >=dev-util/intel-graphics-system-controller-0.2.4:=
+       media-libs/mesa
+       >=virtual/opencl-3
+       l0? ( >=dev-libs/level-zero-1.7.15 )
+       vaapi? (
+               x11-libs/libdrm[video_cards_intel]
+               x11-libs/libva
+       )
+"
+
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( "README.md" "FAQ.md" )
+
+src_prepare() {
+       default
+
+       # Remove '-Werror' from default
+       set -e '/Werror/d' -i CMakeLists.txt || die
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       # See https://github.com/intel/compute-runtime/issues/531
+       filter-flags -flto=* -flto
+
+       local mycmakeargs=(
+               -DCCACHE_ALLOWED="OFF"
+               -DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
+               -DCMAKE_INSTALL_LIBDIR="$(get_libdir)"
+               -DBUILD_WITH_L0="$(usex l0)"
+               -DDISABLE_LIBVA="$(usex !vaapi)"
+               -DNEO__METRICS_LIBRARY_INCLUDE_DIR="${ESYSROOT}/usr/include"
+               -DKHRONOS_GL_HEADERS_DIR="${ESYSROOT}/usr/include"
+               -DOCL_ICD_VENDORDIR="${EPREFIX}/etc/OpenCL/vendors"
+               -DSUPPORT_DG1="ON"
+               -Wno-dev
+
+               # See 
https://github.com/intel/intel-graphics-compiler/issues/204
+               # -DNEO_DISABLE_BUILTINS_COMPILATION="ON"
+
+               # If enabled, tests are automatically run during
+               # the compile phase and we cannot run them because
+               # they require permissions to access the hardware.
+               -DSKIP_UNIT_TESTS="1"
+       )
+
+       cmake_src_configure
+}

Reply via email to